Overview | Modules | Class Hierarchy | Classes | Members

# tlp::BoundingBox Struct Reference

`#include <BoundingBox.h>`

List of all members.

## Public Member Functions

- BoundingBox ()
- BoundingBox (const Coord &min, const Coord &max)
- void check (const Coord &coord)
- void getCompleteBB (Coord *bb) const

## Public Attributes

- bool isValid

## Constructor & Destructor Documentation

tlp::BoundingBox::BoundingBox | ( |  | ) | `[inline]`

tlp::BoundingBox::BoundingBox | ( | const Coord & | min,
|  | const Coord & | max
| ) | `[inline]`

## Member Function Documentation

void tlp::BoundingBox::check | ( | const Coord & | coord | ) | `[inline]`

void tlp::BoundingBox::getCompleteBB | ( | Coord * | bb | ) | const`[inline]`

## Member Data Documentation

bool tlp::BoundingBox::isValid

Tulip Software by LaBRI Visualization Team 2001 - 2010